CartonCloud
CartonCloud API

Transport Products

Endpoints related to Transport Products.


List transport products

GET
https://api.cartoncloud.com
/tenants/{tenantId}/products
required permission: VIEW_PRODUCT

List transport products › path Parameters

tenantId
​string · uuid · required

Tenant ID. Can be found in organisation settings

List transport products › query Parameters

scope
​string · enum
Enum values:
WAREHOUSE
TRANSPORT

List transport products › Headers

Accept-Version
​string · enum · required

All API end points require Accept-Version in the request header.

Failure to provide the header will return a status code of 400, however, an invalid version can return a 404, 406 or 400.

Enum values:
8

List transport products › Responses

Transport products found. Returns products.

id
​string · uuid · readOnly
type
​string · enum
Enum values:
TRANSPORT
Default: TRANSPORT
name
​string
​CustomerReference

Identifies a customer. When more than one identifying property is supplied, they are checked in this order: id, references.code, then name.

​object
measures
​object | null
​object
​Properties

Custom and other property values keyed by name.

Custom fields may exist or may be requested by the tenant.

  • For Address, Shipment, Container, Consignment Data, Consignment Item, Vehicle, Customer, Driver, Sale Order, Purchase Order, or Transport Product, use the name in Mapped Field from the tenant.
  • For Sale Order Product (SOP) custom fields, use sop_custom_field_1, sop_custom_field_2, and so on.
  • For other entities such as Purchase Order Product and Product, use custom_field_1, custom_field_2, and so on.
enabled
​boolean
Default: true
​AuditInfo · readOnly

Create a transport product

POST
https://api.cartoncloud.com
/tenants/{tenantId}/products
required permission: EDIT_PRODUCT

Create a transport product › path Parameters

tenantId
​string · uuid · required

Tenant ID. Can be found in organisation settings

Create a transport product › Headers

Accept-Version
​string · enum · required

All API end points require Accept-Version in the request header.

Failure to provide the header will return a status code of 400, however, an invalid version can return a 404, 406 or 400.

Enum values:
8

Create a transport product › Request Body

type
​string · enum · required
Enum values:
TRANSPORT
Default: TRANSPORT
name
​string · required
​object · required
​CustomerReference

Identifies a customer. When more than one identifying property is supplied, they are checked in this order: id, references.code, then name.

​object
measures
​object | null
​Properties

Custom and other property values keyed by name.

Custom fields may exist or may be requested by the tenant.

  • For Address, Shipment, Container, Consignment Data, Consignment Item, Vehicle, Customer, Driver, Sale Order, Purchase Order, or Transport Product, use the name in Mapped Field from the tenant.
  • For Sale Order Product (SOP) custom fields, use sop_custom_field_1, sop_custom_field_2, and so on.
  • For other entities such as Purchase Order Product and Product, use custom_field_1, custom_field_2, and so on.
enabled
​boolean
Default: true

Create a transport product › Responses

Transport product was created.

id
​string · uuid · readOnly
type
​string · enum
Enum values:
TRANSPORT
Default: TRANSPORT
name
​string
​CustomerReference

Identifies a customer. When more than one identifying property is supplied, they are checked in this order: id, references.code, then name.

​object
measures
​object | null
​object
​Properties

Custom and other property values keyed by name.

Custom fields may exist or may be requested by the tenant.

  • For Address, Shipment, Container, Consignment Data, Consignment Item, Vehicle, Customer, Driver, Sale Order, Purchase Order, or Transport Product, use the name in Mapped Field from the tenant.
  • For Sale Order Product (SOP) custom fields, use sop_custom_field_1, sop_custom_field_2, and so on.
  • For other entities such as Purchase Order Product and Product, use custom_field_1, custom_field_2, and so on.
enabled
​boolean
Default: true
​AuditInfo · readOnly

Bulk update products

POST
https://api.cartoncloud.com
/tenants/{tenantId}/products/bulkUpdate
required permission: EDIT_PRODUCT

Sets enabled on each product that matches the query. The query selects which products are updated. The response has no body.

Bulk update products › path Parameters

tenantId
​string · uuid · required

Tenant ID. Can be found in organisation settings

Bulk update products › Headers

Accept-Version
​string · enum · required

All API end points require Accept-Version in the request header.

Failure to provide the header will return a status code of 400, however, an invalid version can return a 404, 406 or 400.

Enum values:
8

Bulk update products › Request Body

Enabled flag and the query that selects the products.
enabled
​boolean · required

Value written to each matching product.

​ProductSearchConstraint · required

Bulk update products › Responses

The matching products were updated.

No data returned

Get a transport product

GET
https://api.cartoncloud.com
/tenants/{tenantId}/products/{identifier}
required permission: VIEW_PRODUCT

Get transport product either by ID or code if refType request parameter is supplied with value 'CODE'.

Get a transport product › path Parameters

tenantId
​string · uuid · required

Tenant ID. Can be found in organisation settings

identifier
​string · required

Product ID or Code

Example: 56b9c983-8371-4dc0-8862-e9ee2d1deee5

Get a transport product › query Parameters

refType
​string · enum

Must be supplied with value of CODE if identifier is a product code

Enum values:
CODE

Get a transport product › Headers

Accept-Version
​string · enum · required

All API end points require Accept-Version in the request header.

Failure to provide the header will return a status code of 400, however, an invalid version can return a 404, 406 or 400.

Enum values:
8

Get a transport product › Responses

Transport Product found. Returns product.

id
​string · uuid · readOnly
type
​string · enum
Enum values:
TRANSPORT
Default: TRANSPORT
name
​string
​CustomerReference

Identifies a customer. When more than one identifying property is supplied, they are checked in this order: id, references.code, then name.

​object
measures
​object | null
​object
​Properties

Custom and other property values keyed by name.

Custom fields may exist or may be requested by the tenant.

  • For Address, Shipment, Container, Consignment Data, Consignment Item, Vehicle, Customer, Driver, Sale Order, Purchase Order, or Transport Product, use the name in Mapped Field from the tenant.
  • For Sale Order Product (SOP) custom fields, use sop_custom_field_1, sop_custom_field_2, and so on.
  • For other entities such as Purchase Order Product and Product, use custom_field_1, custom_field_2, and so on.
enabled
​boolean
Default: true
​AuditInfo · readOnly

Update product

PUT
https://api.cartoncloud.com
/tenants/{tenantId}/products/{identifier}
required permission: EDIT_PRODUCT

Updates the transport product.

Update product › path Parameters

tenantId
​string · uuid · required

Tenant ID. Can be found in organisation settings

identifier
​UUID · uuid · required

Product ID

Example: 38756e85-d15c-45d9-84fd-1b3e50b73527

Update product › Headers

Accept-Version
​string · enum · required

All API end points require Accept-Version in the request header.

Failure to provide the header will return a status code of 400, however, an invalid version can return a 404, 406 or 400.

Enum values:
8
If-Match
​string · required

Send the ETag value from GET product, including the quotes.

Update product › Request Body

Fields for a transport product update.
​object · required
name
​string · required
​object · required

Update product › Responses

Success

id
​string · uuid · readOnly
type
​string · enum
Enum values:
TRANSPORT
Default: TRANSPORT
name
​string
​CustomerReference

Identifies a customer. When more than one identifying property is supplied, they are checked in this order: id, references.code, then name.

​object
measures
​object | null
​object
​Properties

Custom and other property values keyed by name.

Custom fields may exist or may be requested by the tenant.

  • For Address, Shipment, Container, Consignment Data, Consignment Item, Vehicle, Customer, Driver, Sale Order, Purchase Order, or Transport Product, use the name in Mapped Field from the tenant.
  • For Sale Order Product (SOP) custom fields, use sop_custom_field_1, sop_custom_field_2, and so on.
  • For other entities such as Purchase Order Product and Product, use custom_field_1, custom_field_2, and so on.
enabled
​boolean
Default: true
​AuditInfo · readOnly

Delete product

DELETE
https://api.cartoncloud.com
/tenants/{tenantId}/products/{identifier}
required permission: DELETE_PRODUCT

Marks the product inactive. Refuses the delete when the product is on consignment items or rates.

Delete product › path Parameters

tenantId
​string · uuid · required

Tenant ID. Can be found in organisation settings

identifier
​UUID · uuid · required

Product ID

Example: 38756e85-d15c-45d9-84fd-1b3e50b73527

Delete product › Headers

Accept-Version
​string · enum · required

All API end points require Accept-Version in the request header.

Failure to provide the header will return a status code of 400, however, an invalid version can return a 404, 406 or 400.

Enum values:
8

Delete product › Responses

Product marked inactive.

No data returned